<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: EnProfilerTests Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d4b/class_en_profiler_tests.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">EnProfilerTests Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EnProfilerTests:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d4b/class_en_profiler_tests.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a31bf114211031ce14cabe02d106cf24d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a31bf114211031ce14cabe02d106cf24d">EnProfilerTests</a> ()</td></tr>
<tr class="separator:a31bf114211031ce14cabe02d106cf24d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849c20ef8dc887cbfb1669588854e7a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a849c20ef8dc887cbfb1669588854e7a5">~EnProfilerTests</a> ()</td></tr>
<tr class="separator:a849c20ef8dc887cbfb1669588854e7a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c832d11fc660b0ee169513c254f069"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#aa8c832d11fc660b0ee169513c254f069">TestToggling</a> ()</td></tr>
<tr class="separator:aa8c832d11fc660b0ee169513c254f069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa041fa4155bebc50264299774c8fe40d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#aa041fa4155bebc50264299774c8fe40d">TestTogglingImmediate</a> ()</td></tr>
<tr class="separator:aa041fa4155bebc50264299774c8fe40d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8834e03dc57ba3fa6ef2a9e750c93681"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a8834e03dc57ba3fa6ef2a9e750c93681">TestSetFlags</a> ()</td></tr>
<tr class="separator:a8834e03dc57ba3fa6ef2a9e750c93681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09df2e2085a9843e594883363a49a6a5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a09df2e2085a9843e594883363a49a6a5">TestClearFlags</a> ()</td></tr>
<tr class="separator:a09df2e2085a9843e594883363a49a6a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76e822db9a1d6ebc60e7de760bf38a2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a76e822db9a1d6ebc60e7de760bf38a2a">TestAddFlags</a> ()</td></tr>
<tr class="separator:a76e822db9a1d6ebc60e7de760bf38a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a223b99c305380f696481d052538a29e6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a223b99c305380f696481d052538a29e6">TestModule</a> ()</td></tr>
<tr class="separator:a223b99c305380f696481d052538a29e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab0997b3a2e2f6485fb526f5649ec3ca"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#aab0997b3a2e2f6485fb526f5649ec3ca">TestClassTimeData</a> ()</td></tr>
<tr class="separator:aab0997b3a2e2f6485fb526f5649ec3ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd075e92dc23c017ffa47a709a703527"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#acd075e92dc23c017ffa47a709a703527">TestClassCountData</a> ()</td></tr>
<tr class="separator:acd075e92dc23c017ffa47a709a703527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8a4c35c7b98431db2cf193f6375aae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#aff8a4c35c7b98431db2cf193f6375aae">TestFuncTimeData</a> ()</td></tr>
<tr class="separator:aff8a4c35c7b98431db2cf193f6375aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064b8682625c3529bd084b7d8ffae47e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a064b8682625c3529bd084b7d8ffae47e">TestFuncCountData</a> ()</td></tr>
<tr class="separator:a064b8682625c3529bd084b7d8ffae47e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2fd6f991bf8adb2504d46330d9bff3d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#ae2fd6f991bf8adb2504d46330d9bff3d">Sleep</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> timeS)</td></tr>
<tr class="separator:ae2fd6f991bf8adb2504d46330d9bff3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a627450749098449c1bed8078f88cbbad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a627450749098449c1bed8078f88cbbad">StringFormat</a> ()</td></tr>
<tr class="separator:a627450749098449c1bed8078f88cbbad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f8318ebbf91577e983a74646712a5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#ac7f8318ebbf91577e983a74646712a5c">StringConcat</a> ()</td></tr>
<tr class="separator:ac7f8318ebbf91577e983a74646712a5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2325ce37c75e07411c3515a9abce7034"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a2325ce37c75e07411c3515a9abce7034">TestFuncCountDataHelper</a> ()</td></tr>
<tr class="separator:a2325ce37c75e07411c3515a9abce7034"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:abe0aa36d46bb15454c904b93d236fc40"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#abe0aa36d46bb15454c904b93d236fc40">TestFuncCountDataHelperStatic</a> ()</td></tr>
<tr class="separator:abe0aa36d46bb15454c904b93d236fc40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3822237c5a78c2b248f17cac017bea22"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html#a3822237c5a78c2b248f17cac017bea22">m_bWasProfilerEnabled</a></td></tr>
<tr class="memdesc:a3822237c5a78c2b248f17cac017bea22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remember this, so we can restore the previous state before the test!  <a href="../../d8/d4b/class_en_profiler_tests.html#a3822237c5a78c2b248f17cac017bea22">More...</a><br /></td></tr>
<tr class="separator:a3822237c5a78c2b248f17cac017bea22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a31bf114211031ce14cabe02d106cf24d" name="a31bf114211031ce14cabe02d106cf24d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31bf114211031ce14cabe02d106cf24d">&#9670;&#160;</a></span>EnProfilerTests()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EnProfilerTests::EnProfilerTests </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a849c20ef8dc887cbfb1669588854e7a5" name="a849c20ef8dc887cbfb1669588854e7a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a849c20ef8dc887cbfb1669588854e7a5">&#9670;&#160;</a></span>~EnProfilerTests()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EnProfilerTests::~EnProfilerTests </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00028">28</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae2fd6f991bf8adb2504d46330d9bff3d" name="ae2fd6f991bf8adb2504d46330d9bff3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2fd6f991bf8adb2504d46330d9bff3d">&#9670;&#160;</a></span>Sleep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EnProfilerTests::Sleep </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeS</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00707">707</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="ac7f8318ebbf91577e983a74646712a5c" name="ac7f8318ebbf91577e983a74646712a5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7f8318ebbf91577e983a74646712a5c">&#9670;&#160;</a></span>StringConcat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EnProfilerTests::StringConcat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00734">734</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a627450749098449c1bed8078f88cbbad" name="a627450749098449c1bed8078f88cbbad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a627450749098449c1bed8078f88cbbad">&#9670;&#160;</a></span>StringFormat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EnProfilerTests::StringFormat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00720">720</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a76e822db9a1d6ebc60e7de760bf38a2a" name="a76e822db9a1d6ebc60e7de760bf38a2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76e822db9a1d6ebc60e7de760bf38a2a">&#9670;&#160;</a></span>TestAddFlags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestAddFlags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00157">157</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="acd075e92dc23c017ffa47a709a703527" name="acd075e92dc23c017ffa47a709a703527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd075e92dc23c017ffa47a709a703527">&#9670;&#160;</a></span>TestClassCountData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestClassCountData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00429">429</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="aab0997b3a2e2f6485fb526f5649ec3ca" name="aab0997b3a2e2f6485fb526f5649ec3ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab0997b3a2e2f6485fb526f5649ec3ca">&#9670;&#160;</a></span>TestClassTimeData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestClassTimeData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00381">381</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a09df2e2085a9843e594883363a49a6a5" name="a09df2e2085a9843e594883363a49a6a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09df2e2085a9843e594883363a49a6a5">&#9670;&#160;</a></span>TestClearFlags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestClearFlags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00120">120</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a064b8682625c3529bd084b7d8ffae47e" name="a064b8682625c3529bd084b7d8ffae47e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064b8682625c3529bd084b7d8ffae47e">&#9670;&#160;</a></span>TestFuncCountData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestFuncCountData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00544">544</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a2325ce37c75e07411c3515a9abce7034" name="a2325ce37c75e07411c3515a9abce7034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2325ce37c75e07411c3515a9abce7034">&#9670;&#160;</a></span>TestFuncCountDataHelper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EnProfilerTests::TestFuncCountDataHelper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00748">748</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="abe0aa36d46bb15454c904b93d236fc40" name="abe0aa36d46bb15454c904b93d236fc40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe0aa36d46bb15454c904b93d236fc40">&#9670;&#160;</a></span>TestFuncCountDataHelperStatic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EnProfilerTests::TestFuncCountDataHelperStatic </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00755">755</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="aff8a4c35c7b98431db2cf193f6375aae" name="aff8a4c35c7b98431db2cf193f6375aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff8a4c35c7b98431db2cf193f6375aae">&#9670;&#160;</a></span>TestFuncTimeData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestFuncTimeData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00481">481</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a223b99c305380f696481d052538a29e6" name="a223b99c305380f696481d052538a29e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a223b99c305380f696481d052538a29e6">&#9670;&#160;</a></span>TestModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00189">189</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="a8834e03dc57ba3fa6ef2a9e750c93681" name="a8834e03dc57ba3fa6ef2a9e750c93681"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8834e03dc57ba3fa6ef2a9e750c93681">&#9670;&#160;</a></span>TestSetFlags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestSetFlags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00067">67</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="aa8c832d11fc660b0ee169513c254f069" name="aa8c832d11fc660b0ee169513c254f069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c832d11fc660b0ee169513c254f069">&#9670;&#160;</a></span>TestToggling()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestToggling </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00037">37</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<a id="aa041fa4155bebc50264299774c8fe40d" name="aa041fa4155bebc50264299774c8fe40d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa041fa4155bebc50264299774c8fe40d">&#9670;&#160;</a></span>TestTogglingImmediate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> EnProfilerTests::TestTogglingImmediate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00052">52</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3822237c5a78c2b248f17cac017bea22" name="a3822237c5a78c2b248f17cac017bea22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3822237c5a78c2b248f17cac017bea22">&#9670;&#160;</a></span>m_bWasProfilerEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EnProfilerTests::m_bWasProfilerEnabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remember this, so we can restore the previous state before the test! </p>

<p class="definition">Definition at line <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html#l00004">4</a> of file <a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/TFTests/<a class="el" href="../../dd/dbe/_en_profiler_tests_8c_source.html">EnProfilerTests.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d4b/class_en_profiler_tests.html">EnProfilerTests</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
